[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt-users] Failed dependencies with perl-Sys-Virt




thanks for reply.
 

xuanmao_001
 
Date: 2015-05-08 20:56
Subject: Re: [libvirt-users] Failed dependencies with perl-Sys-Virt
On Fri, May 08, 2015 at 08:48:27PM +0800, xuanmao_001 wrote:
> Hi, erveryone:
> I compiled libvirt-1.1.2.tar.gz from source. 
> my compile step: 
> ./configure --prefix=/usr --libdir=/usr/lib64  --without-xen --without-xen-inotify \
> --without-uml --without-openvz --without-vmware --without-vbox --without-lxc \
> --without-esx --without-parallels --without-phyp --   without-test --with-yajl \
> --without-selinux --without-secdriver-selinux 
> make && make install
> #ls -l /usr/lib64/libvirt*
> -rw-r--r-- 1 root root 10144610  2月  6 15:34 /usr/lib64/libvirt.a
> -rwxr-xr-x 1 root root     1018  5月  8 19:51 /usr/lib64/libvirt.la
> -rwxr-xr-x 1 root root     1064  5月  8 19:51 /usr/lib64/libvirt-lxc.la
> lrwxrwxrwx 1 root root       23  5月  8 19:51 /usr/lib64/libvirt-lxc.so -> libvirt-lxc.so.0.1001.2
> lrwxrwxrwx 1 root root       23  5月  8 19:51 /usr/lib64/libvirt-lxc.so.0 -> libvirt-lxc.so.0.1001.2
> -rwxr-xr-x 1 root root    75419  5月  8 19:51 /usr/lib64/libvirt-lxc.so.0.1001.2
> -rw-r--r-- 1 root root    78856  2月  6 15:34 /usr/lib64/libvirt-qemu.a
> -rwxr-xr-x 1 root root     1070  5月  8 19:51 /usr/lib64/libvirt-qemu.la
> lrwxrwxrwx 1 root root       24  5月  8 20:31 /usr/lib64/libvirt-qemu.so -> libvirt-qemu.so.0.1001.2
> lrwxrwxrwx 1 root root       24  5月  8 20:31 /usr/lib64/libvirt-qemu.so.0 -> libvirt-qemu.so.0.1001.2
> -rwxr-xr-x 1 root root    74097  5月  8 19:51 /usr/lib64/libvirt-qemu.so.0.1001.2
> lrwxrwxrwx 1 root root       19  5月  8 20:31 /usr/lib64/libvirt.so -> libvirt.so.0.1001.2
> lrwxrwxrwx 1 root root       19  5月  8 20:31 /usr/lib64/libvirt.so.0 -> libvirt.so.0.1001.2
> -rwxr-xr-x 1 root root  8100016  5月  8 19:51 /usr/lib64/libvirt.so.0.1001.2
> everyone seems ok, but when I install perl-Sys-Virt-0.10.2-5.el6.x86_64.rpm with rpm -ivh,
> it occured error message:
> error: Failed dependencies:
>         libvirt.so.0()(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.0.3)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.0.5)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.1.0)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.1.1)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.1.4)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.1.5)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.1.9)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.10.0)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
>         libvirt.so.0(LIBVIRT_0.10.2)(64bit) is needed by perl-Sys-Virt-0.10.2-5.el6.x86_64
 
If you install libvirt from source, you cannot then install things that
depend on libvirt from RPMs. You must either build everything from source
or uses RPMs for everything. Mixing & matching will result in unsatisfied
dependancies as you illustrate here
 
Regards,
Daniel
-- 
|: http://berrange.com      -o-    http://www.flickr.com/photos/dberrange/ :|
|: http://libvirt.org              -o-             http://virt-manager.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: http://entangle-photo.org       -o-       http://live.gnome.org/gtk-vnc :|

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]